;*****************************************************************************
;  Write the gains for the M13 high gain (from RC-05) to a sav file.
;  
;  v1.0 - 12/29/2008 - Jeff McIntire
;*****************************************************************************

PRO gain_M13

restore,'general.TEB.sav'

infile='gain_M13_hg.dat'

openr,lun,infile,/get_lun

n_lines=File_Lines(infile)
IF n_lines EQ 0 THEN goto,skipout1

awa=''
b_name=strarr(n_lines)			; Band name.
ham_side=fltarr(n_lines)		; HAM side.
detector=fltarr(n_lines)		; detector.
subframe=fltarr(n_lines)		; BSubframe.
g1=fltarr(n_lines)			; Gain, Cold Plateau 22V.
g2=fltarr(n_lines)			; Gain, Cold Plateau 28V.
g3=fltarr(n_lines)			; Gain, Cold Plateau 34V.
g4=fltarr(n_lines)			; Gain, Nominal Plateau 28V.
g5=fltarr(n_lines)			; Gain, Hot Plateau 22V.
g6=fltarr(n_lines)			; Gain, Hot Plateau 28V.
g7=fltarr(n_lines)			; Gain, Hot Plateau 34V.	

FOR ix=0L, n_lines-1 DO BEGIN
	readf,lun,awa
	a1=strsplit(awa,String(9B),/Extract)
	b_name(ix)=a1(0)
	ham_side(ix)=a1(2)
	detector(ix)=a1(1)-1
	subframe(ix)=a1(3)
	g1(ix)=a1(4)
	g2(ix)=a1(5)
	g3(ix)=a1(6)
	g4(ix)=a1(7)
	g5(ix)=a1(8)
	g6(ix)=a1(9)
	g7(ix)=a1(10)
ENDFOR

close,lun,/file,/all
free_lun,lun

;Cold Plateau 22V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g1[i]
ENDFOR

save,/compress,gain,filename='Cold_plateau.22V.gain_M13_hg.sav'

;Cold Plateau 28V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g2[i]
ENDFOR

save,/compress,gain,filename='Cold_plateau.28V.gain_M13_hg.sav'

;Cold Plateau 34V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g3[i]
ENDFOR

save,/compress,gain,filename='Cold_plateau.34V.gain_M13_hg.sav'

;Nominal Plateau 28V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g4[i]
ENDFOR

save,/compress,gain,filename='Nominal_plateau.28V.gain_M13_hg.sav'

;Hot Plateau 22V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g5[i]
ENDFOR

save,/compress,gain,filename='Hot_plateau.22V.gain_M13_hg.sav'

;Hot Plateau 28V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g6[i]
ENDFOR

save,/compress,gain,filename='Hot_plateau.28V.gain_M13_hg.sav'

;Hot Plateau 34V.
gain=dblarr(nbands_TEB,nham,detectors_TEB[3],subsets_TEB[3],2)
FOR i=0L, n_lines-1 DO BEGIN
    gain[3,ham_side[i],detector[i],subframe[i],1]=g7[i]
ENDFOR

save,/compress,gain,filename='Hot_plateau.34V.gain_M13_hg.sav'

skipout1:

END
